Subject: Re: [manet] Congestion avoidance routing in MANET

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 29 Apr 2012 16:34:20 +0200

It is prefered that the traffic congestion control is solved in MANET
transportation-protocol functionality not in its routing protocol, and
your fellow colleagues, are right that MANET may suffer congestion and
packet loss like any network. The solution is not simple and the
problem is not always complicated, there are proposals for MANET
packet-loss and congestion in literature.

>"Adapting connectionless approach in mobile ad hoc networks for obstacle >environment "

AB> That approach/proposal is good, but adds to MANET-architecture
more complexity. However, overall we need simple control protocols (is
DLEP suitable?) for some environment.

> I don't think the packet loss is due to congestion in high dynamic scenario, it may >be occurred due to link quality becoming bad. therefore, I feel that congestion >avoidance routing investigation in MANETs
> is a bogus topic, am I right?

Your right but not totally. MANET's packet loss is mostly because its
dynamics but still may have traffic congestion, because of limited
number of links, and/or limited route-path BW. However, traffic
sources don't just send their requests/data without getting replies,
therefore, at sometime it will realise to stop wasting time and
energy. Some protocols solve this information-loss-problem by assuming
it does not happen for a notice period of time, and others use some
technique to control trasportations. In some routing protocol they use
acknoledgment [e.g AODV, DSR] and some adaptations to change [e.g.
NHDP, OLSRv2, DYMO].

>The problem of "conventional" MANET systems is that when you detect
>the congestion, its most likely already to late to do much about it,
>because you cannot talk anymore to your neighbors.

AB> unless we use a protocol that changes the wireless link
characteristics, as it is now proposed by DLEP-work-in-progress, but
still I think it has some limitations (both-link-end syncronisation
maybe a problem as was mentioned in discussions).

Abdussalam Baryun,
University of Glamorgan, UK
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

>The problem of "conventional" MANET systems is that when you detect
>the congestion, its most likely already to late to do much about it,
>because you cannot talk anymore to your neighbors.

>The problem with a lot of "too clever" approaches to routing depending
>on current traffic  patterns is that they can lead to highly
>fluctuating routes or even routing loops.

>Henning Rogge

On Sat, Apr 28, 2012 at 16:46,  <D.He at surrey.ac.uk> wrote:
> Dear all,
>
> my feeling is that the issues on congestion avoidance in MANET are bogus topic.
> I had read a paper entitled on "Adapting connectionless approach to mobile ad hoc networks in obstacle environment "
> on Wireless Pervasive Computing, 2006 1st International Symposium on 2006.  the authors found
> the packet loss increases if the nodes send more traffic over cross path links. then the cross point
> of two paths in MANET could be the congestion area.
>
> I have quite not agreed with the claim that existing MANET routing " may suffer from packet loss because
> the packet  forwarding policy doesn't consider traffic congestion".
>
> my fellow colleagues, do you know what scenarios or when the congestion could happen in MANET?
> I don't think the packet loss is due to congestion in high dynamic scenario, it may be occurred due to
> link quality becoming bad. therefore, I feel that congestion avoidance routing investigation in MANETs
> is a bogus topic, am I right?
>
>
> Best Regards,
>
>
> =======================================
> Dan He
> Research Fellow
> _______________________________________________
> manet mailing list
> manet at ietf.org
> https://www.ietf.org/mailman/listinfo/manet